# comment out when not pre-release
#define prel rc1

%define rel 1

%define module stapler

Name:           pdf-stapler
Version:        1.0.0
Release:        %mkrel %{?prel:0.%prel.}%{rel}
Summary:        Tool for manipulating PDF documents from the command line
License:        BSD
Group:          Publishing
URL:            https://github.com/hellerbarde/stapler
# tarball come from commit on 20200306
Source0:        https://pypi.io/packages/source/s/stapler/%{module}-%{version}%{?prel}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pypdf2)
BuildRequires:  python3dist(more-itertools)

Requires:       python3-pkg-resources
Provides:       python3-staplelib = %{version}-%{release}

%description
pdf-stapler is the Mageia package for stapler, the Open Source Python
project which provides a command-line tool that staples, deletes,
concatenates and shuffles documents in the Portable Document Format
(PDF). It is a pure Python alternative to PDFtk.

%prep
%setup -q -n %{module}-%{version}%{?prel}

# Remove upper limit from more-itertools
# https://github.com/hellerbarde/stapler/issues/71
sed -i 's|more-itertools>=2.2,<6.0.0|more-itertools>=2.2|' setup.py

%build
%py3_build

%install
%py3_install

%check
#%%{__python3} setup.py test

%files
%doc README.rst
%license LICENSE
%{_bindir}/%{name}
%{_bindir}/%{module}
%{python3_sitelib}/staplelib/
%{python3_sitelib}/%{module}-%{version}%{?prel}-py%{python3_version}.egg-info


%changelog
* Sun Nov 20 2022 daviddavid <daviddavid> 1.0.0-1.mga9
+ Revision: 1909550
- new version: 1.0.0 (final release)

* Thu Mar 24 2022 umeabot <umeabot> 1.0.0-0.rc1.5.mga9
+ Revision: 1825139
- Mageia 9 Mass Rebuild

* Sun Feb 27 2022 mrambo3501 <mrambo3501> 1.0.0-0.rc1.4.mga9
+ Revision: 1786275
- rebuild for python-3.10

* Sat Mar 20 2021 daviddavid <daviddavid> 1.0.0-0.rc1.3.mga9
+ Revision: 1705248
- rebuild for python 3.9

* Tue Feb 18 2020 umeabot <umeabot> 1.0.0-0.rc1.2.mga8
+ Revision: 1541479
- Mageia 8 Mass Rebuild

* Sat Dec 28 2019 daviddavid <daviddavid> 1.0.0-0.rc1.1.mga8
+ Revision: 1474491
- new version: 1.0.0rc1
- port to python3

* Fri May 03 2019 daviddavid <daviddavid> 0.3.3-1.mga7
+ Revision: 1396233
- initial package pdf-stapler

